]> arthur.barton.de Git - ngircd-alex.git/blobdiff - src/testsuite/stress-server.sh
Include all build-system files into distribution archives
[ngircd-alex.git] / src / testsuite / stress-server.sh
index c9b31b8242b20c5bf009a7065ba9730c04962083..0f85958e98c3acce91ebe67899fe319aea33f02b 100755 (executable)
@@ -9,7 +9,7 @@
 # (at your option) any later version.
 # Please read the file COPYING, README and AUTHORS for more information.
 #
-# $Id: stress-server.sh,v 1.14 2004/09/04 19:14:46 alex Exp $
+# $Id: stress-server.sh,v 1.16 2005/12/30 22:13:21 alex Exp $
 #
 
 # detect source directory
@@ -38,6 +38,9 @@ fi
 # hello world! :-)
 echo "      stressing server with $CLIENTS clients (be patient!):"
 
+# read in functions
+. ${srcdir}/functions.inc
+
 # create scripts for expect(1)
 no=0
 while [ ${no} -lt $CLIENTS ]; do
@@ -47,6 +50,16 @@ while [ ${no} -lt $CLIENTS ]; do
   no=`expr ${no} + 1`
 done
 
+# run first script and check if it succeeds
+echo_n "      checking stress script ..."
+expect tests/0.e > logs/stress-0.log 2> /dev/null
+if [ $? -ne 0 ]; then
+  echo " failure!"
+  exit 1
+else
+  echo " ok."
+fi
+
 no=0
 while [ ${no} -lt $CLIENTS ]; do
   expect tests/${no}.e > logs/stress-${no}.log 2> /dev/null &
@@ -57,7 +70,7 @@ while [ ${no} -lt $CLIENTS ]; do
   [ $MAX -gt 0 ] && $srcdir/wait-tests.sh $MAX
 done
 
-echo -n "      waiting for clients to complete: ."
+echo_n "      waiting for clients to complete: ."
 touch logs/check-idle.log
 while true; do
   expect ${srcdir}/check-idle.e >> logs/check-idle.log; res=$?
@@ -66,7 +79,7 @@ while true; do
 
   # there are still clients connected. Wait ...
   sleep 3
-  echo -n "."
+  echo_n "."
 done
 
 [ $res -eq 0 ] && echo " ok." || echo " failure!"